function EFFECT:Init(data)
	self.Start = data:GetOrigin()
	self.Emitter = ParticleEmitter(self.Start)
	for i=1, 10 do
		local smoke = self.Emitter:Add("particle/smokesprites_000"..math.random(1, 9), self.Start + Vector(math.random(5, 15), math.random(-25, 25), math.random(15, 25)))
		if smoke then
			smoke:SetVelocity(Vector(math.random(-3, 3), math.random(-3, 3), math.random(50, 100)))
			smoke:SetDieTime(math.Rand(0.5, 2))
			smoke:SetStartAlpha(math.Rand(25, 75))
			smoke:SetEndAlpha(0)
			smoke:SetStartSize(math.random(5, 10))
			smoke:SetEndSize(math.random(50, 100))
			smoke:SetRoll(0)
			smoke:SetRollDelta(0)
			smoke:SetColor(102, 51, 0)
			smoke:SetGravity(Vector(0, 0, math.random(-150, -200)))
		end
	end
	for i=1, 8 do
		local comp = self.Emitter:Add("particle/particle_composite", self.Start + Vector(math.random(5, 15), math.random(-25, 25), math.random(15, 25)))
		if comp then
			comp:SetVelocity(Vector(math.random(-3, 3), math.random(-3, 3), math.random(45, 85)))
			comp:SetDieTime(math.Rand(0.5, 2))
			comp:SetStartAlpha(math.Rand(25, 75))
			comp:SetEndAlpha(0)
			comp:SetStartSize(math.random(15, 25))
			comp:SetEndSize(math.random(50, 65))
			comp:SetRoll(0)
			comp:SetRollDelta(0)
			comp:SetColor(102, 51, 0)
			comp:SetGravity(Vector(0, 0, math.random(-150, -200)))
		end
	end
	self.Emitter:Finish()
end

function EFFECT:Think()
	return false
end

function EFFECT:Render()
end